Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Class GroupHeader95

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_11.GroupHeader95

public class GroupHeader95 extends Object

Java class for GroupHeader95 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeader95">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max35Text"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ISODateTime"/>
             <element name="Authstn" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Authorisation1Choice" maxOccurs="2" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max15NumericText"/>
             <element name="CtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}DecimalNumber" minOccurs="0"/>
             <element name="InitgPty" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}PartyIdentification135"/>
             <element name="FwdgAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="InitnSrc" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}PaymentInitiationSource1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<Authorisation1Choice>`
`authstn`
`protected XMLGregorianCalendar`
`creDtTm`
`protected BigDecimal`
`ctrlSum`
`protected BranchAndFinancialInstitutionIdentification6`
`fwdgAgt`
`protected PartyIdentification135`
`initgPty`
`protected PaymentInitiationSource1`
`initnSrc`
`protected String`
`msgId`
`protected String`
`nbOfTxs`

## Constructor Summary

Constructors
Constructor
Description
`GroupHeader95()`

## Method Summary

Modifier and Type
Method
Description
`List<Authorisation1Choice>`
`getAuthstn()`
Gets the value of the authstn property.
`XMLGregorianCalendar`
`getCreDtTm()`
Gets the value of the creDtTm property.
`BigDecimal`
`getCtrlSum()`
Gets the value of the ctrlSum property.
`BranchAndFinancialInstitutionIdentification6`
`getFwdgAgt()`
Gets the value of the fwdgAgt property.
`PartyIdentification135`
`getInitgPty()`
Gets the value of the initgPty property.
`PaymentInitiationSource1`
`getInitnSrc()`
Gets the value of the initnSrc property.
`String`
`getMsgId()`
Gets the value of the msgId property.
`String`
`getNbOfTxs()`
Gets the value of the nbOfTxs property.
`void`
`setCreDtTm(XMLGregorianCalendar value)`
Sets the value of the creDtTm property.
`void`
`setCtrlSum(BigDecimal value)`
Sets the value of the ctrlSum property.
`void`
`setFwdgAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the fwdgAgt property.
`void`
`setInitgPty(PartyIdentification135 value)`
Sets the value of the initgPty property.
`void`
`setInitnSrc(PaymentInitiationSource1 value)`
Sets the value of the initnSrc property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setNbOfTxs(String value)`
Sets the value of the nbOfTxs property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgId

protected String msgId

### creDtTm

protected XMLGregorianCalendar creDtTm

### authstn

protected List<Authorisation1Choice> authstn

### nbOfTxs

protected String nbOfTxs

### ctrlSum

protected BigDecimal ctrlSum

### initgPty

protected PartyIdentification135 initgPty

### fwdgAgt

protected BranchAndFinancialInstitutionIdentification6 fwdgAgt

### initnSrc

protected PaymentInitiationSource1 initnSrc

## Constructor Details

### GroupHeader95

public GroupHeader95()

## Method Details

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

### getCreDtTm

public XMLGregorianCalendar getCreDtTm()
Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setCreDtTm

public void setCreDtTm(XMLGregorianCalendar value)
Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getAuthstn

public List<Authorisation1Choice> getAuthstn()
Gets the value of the authstn property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authstn property.

For example, to add a new item, do as follows:

        getAuthstn().add(newItem);

Objects of the following type(s) are allowed in the list `Authorisation1Choice`

### getNbOfTxs

public String getNbOfTxs()
Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

### setNbOfTxs

public void setNbOfTxs(String value)
Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

### getCtrlSum

public BigDecimal getCtrlSum()
Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

### setCtrlSum

public void setCtrlSum(BigDecimal value)
Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getInitgPty

public PartyIdentification135 getInitgPty()
Gets the value of the initgPty property.

Returns:
  possible object is `PartyIdentification135`

### setInitgPty

public void setInitgPty(PartyIdentification135 value)
Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getFwdgAgt

public BranchAndFinancialInstitutionIdentification6 getFwdgAgt()
Gets the value of the fwdgAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setFwdgAgt

public void setFwdgAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the fwdgAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getInitnSrc

public PaymentInitiationSource1 getInitnSrc()
Gets the value of the initnSrc property.

Returns:
  possible object is `PaymentInitiationSource1`

### setInitnSrc

public void setInitnSrc(PaymentInitiationSource1 value)
Sets the value of the initnSrc property.

Parameters:
  `value` - allowed object is `PaymentInitiationSource1`